3 Replies Latest reply on Mar 1, 2016 11:13 PM by torbens4798134

    Can I not buy a update to Lightroom 6 from 4.0 version? Do I really need to buy a update for 149$, because of one missing Lens profile?

    torbens4798134

      Hi, I need minimum ver 5 or 6 for lens support, can I not buy a update from version 4.0 ?